<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.11) on Sat Dec 04 19:21:21 CET 2021 -->
<title>S-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-12-04">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="../qengine/dictionary/Dictionary.html#size()">size()</a></span> - Method in interface qengine.dictionary.<a href="../qengine/dictionary/Dictionary.html" title="interface in qengine.dictionary">Dictionary</a></dt>
<dd>
<div class="block">Retourne la taille du dictionnaire.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/dictionary/HashMapIndexedDictionary.html#size()">size()</a></span> - Method in class qengine.dictionary.<a href="../qengine/dictionary/HashMapIndexedDictionary.html" title="class in qengine.dictionary">HashMapIndexedDictionary</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/Hexastore.html#size()">size()</a></span> - Method in class qengine.index.<a href="../qengine/index/Hexastore.html" title="class in qengine.index">Hexastore</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/Index.html#size()">size()</a></span> - Method in interface qengine.index.<a href="../qengine/index/Index.html" title="interface in qengine.index">Index</a></dt>
<dd>
<div class="block">Retourne la taille de l'indexage.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/triplestore/TripleStore.html#size()">size()</a></span> - Method in class qengine.index.triplestore.<a href="../qengine/index/triplestore/TripleStore.html" title="class in qengine.index.triplestore">TripleStore</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../qengine/index/triplestore/SOP.html" title="class in qengine.index.triplestore"><span class="typeNameLink">SOP</span></a> - Class in <a href="../qengine/index/triplestore/package-summary.html">qengine.index.triplestore</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/Hexastore.html#SOP">SOP</a></span> - Variable in class qengine.index.<a href="../qengine/index/Hexastore.html" title="class in qengine.index">Hexastore</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/triplestore/SOP.html#%3Cinit%3E()">SOP()</a></span> - Constructor for class qengine.index.triplestore.<a href="../qengine/index/triplestore/SOP.html" title="class in qengine.index.triplestore">SOP</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/CustomEngine.html#sparqlParser">sparqlParser</a></span> - Static variable in class qengine.engine.<a href="../qengine/engine/CustomEngine.html" title="class in qengine.engine">CustomEngine</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/RDF4JEngine.html#sparqlParser">sparqlParser</a></span> - Static variable in class qengine.engine.<a href="../qengine/engine/RDF4JEngine.html" title="class in qengine.engine">RDF4JEngine</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../qengine/index/triplestore/SPO.html" title="class in qengine.index.triplestore"><span class="typeNameLink">SPO</span></a> - Class in <a href="../qengine/index/triplestore/package-summary.html">qengine.index.triplestore</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/Hexastore.html#SPO">SPO</a></span> - Variable in class qengine.index.<a href="../qengine/index/Hexastore.html" title="class in qengine.index">Hexastore</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/triplestore/SPO.html#%3Cinit%3E()">SPO()</a></span> - Constructor for class qengine.index.triplestore.<a href="../qengine/index/triplestore/SPO.html" title="class in qengine.index.triplestore">SPO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/program/Stopwatch.html#stackedLogs">stackedLogs</a></span> - Static variable in class qengine.program.<a href="../qengine/program/Stopwatch.html" title="class in qengine.program">Stopwatch</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/program/Stopwatch.html#start">start</a></span> - Static variable in class qengine.program.<a href="../qengine/program/Stopwatch.html" title="class in qengine.program">Stopwatch</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/program/Stopwatch.html#start(java.lang.String)">start(String)</a></span> - Static method in class qengine.program.<a href="../qengine/program/Stopwatch.html" title="class in qengine.program">Stopwatch</a></dt>
<dd>
<div class="block">Démarre le chronomètre pour calculer la durée qui sera associée au nom donné
 à l'appel de <a href="../qengine/program/Stopwatch.html#stop(java.lang.String)"><code>Stopwatch.stop(String)</code></a>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/program/Stopwatch.html#stop(java.lang.String)">stop(String)</a></span> - Static method in class qengine.program.<a href="../qengine/program/Stopwatch.html" title="class in qengine.program">Stopwatch</a></dt>
<dd>
<div class="block">Enregistre et retourne la durée écoulée depuis l'appel à
 <a href="../qengine/program/Stopwatch.html#start(java.lang.String)"><code>Stopwatch.start(String)</code></a> avec le nom donné.</div>
</dd>
<dt><a href="../qengine/program/Stopwatch.html" title="class in qengine.program"><span class="typeNameLink">Stopwatch</span></a> - Class in <a href="../qengine/program/package-summary.html">qengine.program</a></dt>
<dd>
<div class="block">Un chronomètre qui mémorise des durées en leur associant un nom.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/program/Stopwatch.html#%3Cinit%3E()">Stopwatch()</a></span> - Constructor for class qengine.program.<a href="../qengine/program/Stopwatch.html" title="class in qengine.program">Stopwatch</a></dt>
<dd>
<div class="block">Pas d'instanciation.</div>
</dd>
<dt><a href="../qengine/query/pattern/SubjectPattern.html" title="class in qengine.query.pattern"><span class="typeNameLink">SubjectPattern</span></a> - Class in <a href="../qengine/query/pattern/package-summary.html">qengine.query.pattern</a></dt>
<dd>
<div class="block">Patron contenant une projection sur le sujet.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/query/pattern/SubjectPattern.html#%3Cinit%3E(int,int)">SubjectPattern(int, int)</a></span> - Constructor for class qengine.query.pattern.<a href="../qengine/query/pattern/SubjectPattern.html" title="class in qengine.query.pattern">SubjectPattern</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../qengine/query/pattern/collector/SubjectPatternCollector.html" title="class in qengine.query.pattern.collector"><span class="typeNameLink">SubjectPatternCollector</span></a> - Class in <a href="../qengine/query/pattern/collector/package-summary.html">qengine.query.pattern.collector</a></dt>
<dd>
<div class="block">Un <code>QueryModelVisitor</code> qui collectionne
 les traductions de <code>StatementPattern</code>
 en <a href="../qengine/query/pattern/SubjectPattern.html" title="class in qengine.query.pattern"><code>SubjectPattern</code></a>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/query/pattern/collector/SubjectPatternCollector.html#%3Cinit%3E(qengine.dictionary.Dictionary)">SubjectPatternCollector(Dictionary)</a></span> - Constructor for class qengine.query.pattern.collector.<a href="../qengine/query/pattern/collector/SubjectPatternCollector.html" title="class in qengine.query.pattern.collector">SubjectPatternCollector</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/AbstractEngine.Impl.html#supplier">supplier</a></span> - Variable in enum qengine.engine.<a href="../qengine/engine/AbstractEngine.Impl.html" title="enum in qengine.engine">AbstractEngine.Impl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/comparator/AbstractEngineComparator.Impl.html#supplier">supplier</a></span> - Variable in enum qengine.engine.comparator.<a href="../qengine/engine/comparator/AbstractEngineComparator.Impl.html" title="enum in qengine.engine.comparator">AbstractEngineComparator.Impl</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
